Bug 1575653 - [abrt] rhythmbox: __strncpy_sse2_unaligned(): rhythmbox killed by SIGBUS
Summary: [abrt] rhythmbox: __strncpy_sse2_unaligned(): rhythmbox killed by SIGBUS
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:272e43047ab78205de57da7b073...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 14:30 UTC by Anthony Stalker
Modified: 2019-05-28 23:29 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:29:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (108.48 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: cgroup (365 bytes, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: core_backtrace (38.81 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: dso_list (21.53 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: environ (2.03 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: maps (95.50 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: mountinfo (3.99 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: open_fds (12.21 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details
File: var_log_messages (316 bytes, text/plain)
2018-05-07 14:30 UTC, Anthony Stalker
no flags Details

Description Anthony Stalker 2018-05-07 14:30:07 UTC
Description of problem:
Opening Rythmbox works fine. Clicking on a my ipod in devices crashes the program. The ipod is mounted and contents can be viewed in nautilus.

Started happening after upgrade to Fedora 28

Version-Release number of selected component:
rhythmbox-3.4.2-4.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        rhythmbox /run/media/anthony/ANTHONY'S I
crash_function: __strncpy_sse2_unaligned
executable:     /usr/bin/rhythmbox
journald_cursor: s=ed286594e4814dcb9e8123e3a25dca18;i=506bb;b=a31556c2eb0a4fb7b5bd33bb15be2ba0;m=2c3e011;t=56b9e1a81b1c8;x=35f36b706a7862cd
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strncpy_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcpy-sse2-unaligned.S:58
 #1 strncpy at /usr/include/bits/string_fortified.h:106
 #2 g_strndup at gstrfuncs.c:426
 #3 db_parse_context_get_m_header_internal at db-parse-context.c:153
 #4 parse_mhif at db-artwork-parser.c:53
 #5 parse_mhl at db-artwork-parser.c:412
 #6 parse_mhsd at db-artwork-parser.c:456
 #7 parse_mhfd at db-artwork-parser.c:637
 #8 ipod_parse_artwork_db at db-artwork-parser.c:724
 #9 itdb_parse at itdb_itunesdb.c:3390

Comment 1 Anthony Stalker 2018-05-07 14:30:16 UTC
Created attachment 1432612 [details]
File: backtrace

Comment 2 Anthony Stalker 2018-05-07 14:30:18 UTC
Created attachment 1432613 [details]
File: cgroup

Comment 3 Anthony Stalker 2018-05-07 14:30:21 UTC
Created attachment 1432614 [details]
File: core_backtrace

Comment 4 Anthony Stalker 2018-05-07 14:30:22 UTC
Created attachment 1432615 [details]
File: cpuinfo

Comment 5 Anthony Stalker 2018-05-07 14:30:24 UTC
Created attachment 1432616 [details]
File: dso_list

Comment 6 Anthony Stalker 2018-05-07 14:30:26 UTC
Created attachment 1432617 [details]
File: environ

Comment 7 Anthony Stalker 2018-05-07 14:30:28 UTC
Created attachment 1432618 [details]
File: exploitable

Comment 8 Anthony Stalker 2018-05-07 14:30:29 UTC
Created attachment 1432619 [details]
File: limits

Comment 9 Anthony Stalker 2018-05-07 14:30:33 UTC
Created attachment 1432620 [details]
File: maps

Comment 10 Anthony Stalker 2018-05-07 14:30:35 UTC
Created attachment 1432621 [details]
File: mountinfo

Comment 11 Anthony Stalker 2018-05-07 14:30:37 UTC
Created attachment 1432622 [details]
File: open_fds

Comment 12 Anthony Stalker 2018-05-07 14:30:39 UTC
Created attachment 1432623 [details]
File: proc_pid_status

Comment 13 Anthony Stalker 2018-05-07 14:30:41 UTC
Created attachment 1432624 [details]
File: var_log_messages

Comment 14 ng0177 2018-12-28 08:57:34 UTC
A similar and related problem here: iPod Touch is not recognized by Rythmbox's plugins.

It might be recognized, if I only knew how to create a file on the device - any ideas? Appreciate!

https://help.gnome.org/users/rhythmbox/stable/portable-audio-player.html.en

"If Rhythmbox Music Player does not detect your device as a portable audio player, you can create an empty file named .is_audio_player at the top level hierarchy of the filesystem of your player."

I tried all ptp, mtp, gphoto2 following:

https://jeromebelleman.gitlab.io/posts/filesystems/photofs/
http://www.gphoto.org/doc/manual/FAQ.html
http://www.gphoto.org/doc/manual/using-gphoto2.html

None of these manage to touch or write the file .is_audio_player to the device.

dmesg:
[ 5414.503826] usb 1-2: new high-speed USB device number 4 using xhci_hcd
[ 5414.636653] usb 1-2: New USB device found, idVendor=05ac, idProduct=1293, bcdDevice= 0.01
[ 5414.636659] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 5414.636663] usb 1-2: Product: iPod
[ 5414.636667] usb 1-2: Manufacturer: Apple Inc.

journalctl:
Dec 27 20:42:52 machine kernel: usb 1-2: new high-speed USB device number 7 using xhci_hcd
Dec 27 20:42:52 machine kernel: usb 1-2: New USB device found, idVendor=05ac, idProduct=1293, bcdDevice= 0.01
Dec 27 20:42:52 machine kernel: usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Dec 27 20:42:52 machine kernel: usb 1-2: Product: iPod
Dec 27 20:42:52 machine kernel: usb 1-2: Manufacturer: Apple Inc.
Dec 27 20:42:52 machine kernel: usb 1-2: SerialNumber: f4d3dfef5035929e4f8aa63dea1cba331e588707
Dec 27 20:42:52 machine mtp-probe[13156]: checking bus 1, device 7: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-2"
Dec 27 20:42:52 machine mtp-probe[13156]: bus: 1, device: 7 was not an MTP device
Dec 27 20:42:52 machine fwupd[2714]: dfu failed to add USB device 05ac:1293: 05ac:1293 is not supported: USB error on device 05ac:1293 : Entity not found [-5]
Dec 27 20:42:52 machine systemd[1]: Started Socket daemon for the usbmux protocol used by Apple devices.
Dec 27 20:42:52 machine audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=usbmuxd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 27 20:42:52 machine usbmuxd[13161]: [20:42:52.725][3] usbmuxd v1.1.0 starting up
Dec 27 20:42:52 machine mtp-probe[13163]: checking bus 1, device 7: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-2"
Dec 27 20:42:52 machine mtp-probe[13163]: bus: 1, device: 7 was not an MTP device
Dec 27 20:42:52 machine usbmuxd[13161]: [20:42:52.731][3] Successfully dropped privileges to 'usbmuxd'
Dec 27 20:42:52 machine usbmuxd[13161]: [20:42:52.735][3] Could not get old configuration descriptor for device 1-7: -5
Dec 27 20:42:52 machine usbmuxd[13161]: [20:42:52.741][3] Connecting to new device on location 0x10007 as ID 1
Dec 27 20:42:52 machine usbmuxd[13161]: [20:42:52.741][3] Initialization complete
Dec 27 20:42:52 machine usbmuxd[13161]: [20:42:52.741][3] Enabled exit on SIGUSR1 if no devices are attached. Start a new instance with "--exit" to trigger.
Dec 27 20:42:52 machine usbmuxd[13161]: [20:42:52.742][3] Connected to v2.0 device 1 on location 0x10007 with serial number f4d3dfef5035929e4f8aa63dea1cba331e588707
Dec 27 20:42:53 machine gvfs-afc-volume-monitor[1671]: creating volume for device uuid 'f4d3dfef5035929e4f8aa63dea1cba331e588707'
Dec 27 20:42:54 machine dbus-daemon[1428]: [session uid=1000 pid=1428] Activating service name='org.gnome.Shell.HotplugSniffer' requested by ':1.13' (uid=1000 pid=1517 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Dec 27 20:42:54 machine dbus-daemon[1428]: [session uid=1000 pid=1428] Successfully activated service 'org.gnome.Shell.HotplugSniffer'

Comment 15 Ben Cotton 2019-05-02 20:05:54 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 23:29:31 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.